import '../../tmg_ptt.dart';
import '../../tmg_type.dart';
import '../../tmg_error.dart';

class TMGPTTImpl extends ITMGPTT {
  @override
  int ApplyPTTAuthbuffer(String userSig) {
    return TMGError.AV_ERR_NOT_IMPLEMENTED;
  }

  @override
  int SetMaxMessageLength(int msTime) {
    return TMGError.AV_ERR_NOT_IMPLEMENTED;
  }

  @override
  int StartRecording(String filePath) {
    return TMGError.AV_ERR_NOT_IMPLEMENTED;
  }

  @override
  int StopRecording() {
    return TMGError.AV_ERR_NOT_IMPLEMENTED;
  }

  @override
  int CancelRecording() {
    return TMGError.AV_ERR_NOT_IMPLEMENTED;
  }

  @override
  int UploadRecordedFile(String filePath) {
    return TMGError.AV_ERR_NOT_IMPLEMENTED;
  }

  @override
  int DownloadRecordedFile(String fileId, String filePath) {
    return TMGError.AV_ERR_NOT_IMPLEMENTED;
  }

  @override
  int PlayRecordedFile(String filePath, ITMG_VOICE_TYPE voiceType) {
    return TMGError.AV_ERR_NOT_IMPLEMENTED;
  }

  @override
  int StopPlayFile() {
    return TMGError.AV_ERR_NOT_IMPLEMENTED;
  }

  @override
  int SpeechToText(
    String fileID,
    String speechLanguage,
    String translateLanguage,
  ) {
    return TMGError.AV_ERR_NOT_IMPLEMENTED;
  }

  @override
  int TranslateText(
    String text,
    String sourceLanguage,
    String translateLanguage,
  ) {
    return TMGError.AV_ERR_NOT_IMPLEMENTED;
  }

  @override
  int GetFileSize(String filePath) {
    return 0;
  }

  @override
  int GetVoiceFileDuration(String filePath) {
    return 0;
  }

  @override
  int StartRecordingWithStreamingRecognition(
    String filePath,
    String speechLanguage,
    String translateLanguage,
  ) {
    return TMGError.AV_ERR_NOT_IMPLEMENTED;
  }

  @override
  int SetPTTSourceLanguage(String sourceLanguage) {
    return TMGError.AV_ERR_NOT_IMPLEMENTED;
  }

  @override
  int TextToSpeech(
    int serialNumber,
    String text,
    String voiceName,
    String languageCode,
    double speakingRate,
  ) {
    return TMGError.AV_ERR_NOT_IMPLEMENTED;
  }
}
